Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk
Class Preference

    java.lang.Object
      oracle.ifs.fdk.NamedValue
          oracle.ifs.fdk.Preference

All Implemented Interfaces:
  java.io.Serializable

    public class Preference

extends NamedValue
implements java.io.Serializable

A Preference represents a preference value. In addition, it indicates if the preference value can be overridden by the user.

See Also:
  Serialized Form

Constructor Summary
`Preference()` Construct Preference.
`Preference(java.lang.String name, java.lang.Object value)` Construct a Preference.
`Preference(java.lang.String name, java.lang.Object value, boolean isLocked)` Construct a Preference.

Method Summary
`boolean` | `isLocked()` Whether the preference is locked from override.
`void` | `setLocked(boolean isLocked)` Indicate whether the preference value is overridable.

Methods inherited from class oracle.ifs.fdk.NamedValue
`getName, getValue, getWrappedValue, mapToNamedValues, namedValuesToMap, setName, setValue, setWrappedValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Preference

    public Preference()

  Construct Preference.

  Required constructor in order to be a Java Bean.

### Preference

    public Preference(java.lang.String name,
                      java.lang.Object value)

  Construct a Preference.

  For use in specifying a Preference as an input to a call to (for example) setUserPreference.

  Parameters:
    `name` - the name of the preference value
    `value` - the value of the preference value
  (Unpublished)

### Preference

    public Preference(java.lang.String name,
                      java.lang.Object value,
                      boolean isLocked)

  Construct a Preference.

  For use internally to construct a Preference as a return value from (for example) getUserPreference.

  Parameters:
    `name` - the name of the preference value
    `value` - the value of the preference value
    `isLocked` - indicates if the preference value is overridable
  (Unpublished)

Method Detail

### isLocked

    public boolean isLocked()

  Description copied from class: `Preference`
  Whether the preference is locked from override.

  Returns:
    an indication as to whether the preference value is overridable

### setLocked

    public void setLocked(boolean isLocked)

  Description copied from class: `Preference`
  Indicate whether the preference value is overridable.

  This method may be used in conjunction with the non-arg constructor variant. The value is not actually set untill one of the UserManager's setUserPreference is invoked.

  Parameters:
    `isLocked` - indicates if the preference value is overridable

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD